Main Page Modules Data Structures File List Data Fields Globals Related Pages

# beecrypt/dlpk.c File Reference

Discrete Logarithm Public Key, code. More...

`#include "system.h"`
`#include "dlpk.h"`
`#include "mp32.h"`
`#include "debug.h"`

Go to the source code of this file.

## Functions
int | dlpk_pInit (dlpk_p *pk)
int | dlpk_pFree (dlpk_p *pk)
int | dlpk_pCopy (dlpk_p *dst, const dlpk_p *src)
int | dlpk_pEqual (const dlpk_p *a, const dlpk_p *b)
int | dlpk_pgoqValidate (const dlpk_p *pk, randomGeneratorContext *rgc, int cofactor)
int | dlpk_pgonValidate (const dlpk_p *pk, randomGeneratorContext *rgc)

## Detailed Description

Discrete Logarithm Public Key, code.

Definition in file dlpk.c.

## Function Documentation

int dlpk_pCopy | ( | dlpk_p * | dst,
|  | const dlpk_p * | src
| ) |

| Definition at line 55 of file dlpk.c. References dldp_pCopy, mp32ncopy, dlpk_p::param, and dlpk_p::y.

int dlpk_pEqual | ( | const dlpk_p * | a,
|  | const dlpk_p * | b
| ) |

| Definition at line 65 of file dlpk.c. References mp32number::data, dldp_pEqual, mp32eqx, dlpk_p::param, mp32number::size, and dlpk_p::y.

int dlpk_pFree | ( | dlpk_p * | pk | ) |

| Definition at line 43 of file dlpk.c. References dldp_pFree, mp32nfree, dlpk_p::param, and dlpk_p::y.

int dlpk_pgonValidate | ( | const dlpk_p * | pk,
|  | randomGeneratorContext * | rgc
| ) |

| Definition at line 87 of file dlpk.c. References mp32number::data, dldp_pgonValidate, mp32barrett::modl, mp32gex, mp32leone, dldp_p::p, dlpk_p::param, mp32barrett::size, mp32number::size, and dlpk_p::y.

int dlpk_pgoqValidate | ( | const dlpk_p * | pk,
|  | randomGeneratorContext * | rgc,
|  | int | cofactor
| ) |

| Definition at line 71 of file dlpk.c. References mp32number::data, dldp_pgoqValidate, mp32barrett::modl, mp32gex, mp32leone, dldp_p::p, dlpk_p::param, mp32barrett::size, mp32number::size, and dlpk_p::y.

int dlpk_pInit | ( | dlpk_p * | pk | ) |

| Definition at line 33 of file dlpk.c. References dldp_pInit, mp32nzero, dlpk_p::param, and dlpk_p::y.